Bug 433253 - Review Request: dotconf - Required for speech dispatcher on OLPC XO
Review Request: dotconf - Required for speech dispatcher on OLPC XO
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 432259
  Show dependency treegraph
 
Reported: 2008-02-18 01:09 EST by Assim Deodia
Modified: 2008-07-09 17:48 EDT (History)
6 users (show)

See Also:
Fixed In Version: 1.0.13-6.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-09 17:48:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Patch to remove ASL 1.1 part for GPLv2+ compatibility (901 bytes, patch)
2008-02-20 02:35 EST, Mamoru TASAKA
no flags Details | Diff
Patch to resolve multilib issue (576 bytes, patch)
2008-02-22 12:35 EST, Mamoru TASAKA
no flags Details | Diff
patch for dotconf.m4 to remove warning (383 bytes, patch)
2008-02-29 10:29 EST, Mamoru TASAKA
no flags Details | Diff
dotconf-1.0.13-m4-underquote.patch (2.77 KB, patch)
2008-03-09 06:02 EDT, Assim Deodia
no flags Details | Diff

  None (edit)
Description Assim Deodia 2008-02-18 01:09:06 EST
Spec URL: http://www.nsitonline.in/assim/stuffs/olpc/dotconf/dotconf.spec
SRPM URL: http://www.nsitonline.in/assim/stuffs/olpc/dotconf/dotconf-1.0.13-1.fc7.src.rpm

Description: 
Dotconf is an configuration file parser which is used by many application to handle configuration files. 
- It is apache compitable
- Context sensitivity framework
- Provides autoconf macros for checking for dot.conf
- Substitution of environment variables
Comment 1 Mamoru TASAKA 2008-02-18 12:17:08 EST
Well, as this bug blocks speech-dispatcher (bug 432259) I want
to approve this package soon, however it seems not a few issues
needs fixing.

For general packaging guidelines you can refer to the following pages.
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
For this package it seems to be a package for libraries so it would
be good for you that you install rpmdevtools rpm and try:
$ rpmdev-newspec -t lib dotconf
to get a skeleton spec file for dotconf.
Comment 2 Assim Deodia 2008-02-19 13:40:57 EST
(In reply to comment #1)
> Well, as this bug blocks speech-dispatcher (bug 432259) I want
> to approve this package soon, however it seems not a few issues
> needs fixing.
> 
> For general packaging guidelines you can refer to the following pages.
> http://fedoraproject.org/wiki/Packaging/Guidelines
> http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
> For this package it seems to be a package for libraries so it would
> be good for you that you install rpmdevtools rpm and try:
> $ rpmdev-newspec -t lib dotconf
> to get a skeleton spec file for dotconf.

Spec URL: http://www.nsitonline.in/assim/stuffs/olpc/dotconf/dotconf.spec
SRPM URL: http://www.nsitonline.in/assim/stuffs/olpc/dotconf/dotconf-1.0.13-
1.fc7.src.rpm

I have replaced both the SPEC and SRPM file on the server by the one made using 
skeleton spec file. 
Comment 3 Mamoru TASAKA 2008-02-20 01:55:59 EST
Well, would you again try to follow lib skeleton spec file again?

- The ELF shared library (usually libXXXX.so.X.X) and its ldconfig
  symlink (usually libXXXXX.so.X) must not be in -devel subpackage.
  Only the symlink used for linkage (libXXXX.so) should be in
  -devel subpackage.

- pkgconfig .pc file should not be deleted and should be included
  in -devel subpackage. Then -devel subpackage should
  have "Requires: pkgconfig" (please check 
  http://fedoraproject.org/wiki/Packaging/ReviewGuidelines)

Also:
- Please make Summary a bit more verbose. the summary "dot.conf" 
  is not useful.

- I recommend to use %{name} and %{version} in Source0 URL.
  In this way you don't have to modify Source0 when the version
  of the tarball is upgraded.

- I recommend to use
-------------------------------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
-------------------------------------------------------------------------
  to keep timestamps on installed files. This method usually
  works for recent autotool-based Makefiles.

- The file "INSTALL" is usually for people who want to compile
  and install the package by themselves and is not needed for people
  who use rpm.

- For directory ownership issue of %{_datadir}/aclocal and for
  usability, I recommend to add "Requires: automake" to -devel
  subpackage (not BuildRequires).

- For %{_bindir}/dotconf-config (in the source tarball it was
  dotconf-config.in), @libdir@ is expanded as /usr/lib on 32bits
  machine but /usr/lib64 on 64bits machine on Fedora.

  This means that /usr/bin/dotconf-config differs between
  on 32 bits machine and on 64 bits machine. Currently Fedora
  does not allow this type of multilib conflicts for -devel
  subpackage.

You can use "rpmlint" (in rpmlint rpm) to detect some generic
issues on your rpms. For example of a library rpm,
you can check:
http://cvs.fedoraproject.org/viewcvs/*checkout*/devel/oniguruma/oniguruma.spec
Comment 4 Mamoru TASAKA 2008-02-20 02:35:35 EST
Created attachment 295402 [details]
Patch to remove ASL 1.1 part for GPLv2+ compatibility

By the way:

- speech-dispatcher (bug 432259), which depends on this bug, is
  licensed under GPLv2+.
  So to make use of speech-dispatcher the license of dotconf must
  be GPLv2+ compatible.

- However currently this package (dotconf) is licensed under 
  LGPLv2 and ASL 1.1 as build log shows:
--------------------------------------------------------------------------
/bin/sh ../libtool --mode=link gcc  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386
-mtune=generic -fasynchronous-unwind-tables 
-I/home/tasaka1/rpmbuild/SOURCES/dotconf-1.0.13-1.fc7/dotconf-1.0.13/libpool
-Wall -g  -o libdotconf.la -rpath /usr/lib -version-info 10:4:10     -release
1.0    -export-dynamic dotconf.lo readdir.lo  
---------------------------------------------------------------------------
   and src/readdir.c is ASL 1.1
   Note that ASL 1.1 is GPLv2 incompatible, so this situation is not
   allowed.

   Fortunately for Linux as far as I checked the source code
   we can built this package without src/readdir.{c,h}. The attached
   file makes this package surely LGPLv2.
Comment 5 Assim Deodia 2008-02-22 04:23:20 EST
(In reply to comment #4)
> Created an attachment (id=295402) [edit]
> Patch to remove ASL 1.1 part for GPLv2+ compatibility
> 
> By the way:
> 
> - speech-dispatcher (bug 432259), which depends on this bug, is
>   licensed under GPLv2+.
>   So to make use of speech-dispatcher the license of dotconf must
>   be GPLv2+ compatible.
> 
> - However currently this package (dotconf) is licensed under 
>   LGPLv2 and ASL 1.1 as build log shows:
> --------------------------------------------------------------------------
> /bin/sh ../libtool --mode=link gcc  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
> -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386
> -mtune=generic -fasynchronous-unwind-tables 
> -I/home/tasaka1/rpmbuild/SOURCES/dotconf-1.0.13-1.fc7/dotconf-1.0.13/libpool
> -Wall -g  -o libdotconf.la -rpath /usr/lib -version-info 10:4:10     -release
> 1.0    -export-dynamic dotconf.lo readdir.lo  
> ---------------------------------------------------------------------------
>    and src/readdir.c is ASL 1.1
>    Note that ASL 1.1 is GPLv2 incompatible, so this situation is not
>    allowed.
> 
>    Fortunately for Linux as far as I checked the source code
>    we can built this package without src/readdir.{c,h}. The attached
>    file makes this package surely LGPLv2.

I have again updated the file at the server. Have included the patch file on 
the server also link:http://www.nsitonline.in/assim/stuffs/olpc/dotconf/dotconf-
1.0.13.patch. I have done all the edits as said except for the last one 

- For %{_bindir}/dotconf-config (in the source tarball it was
  dotconf-config.in), @libdir@ is expanded as /usr/lib on 32bits
  machine but /usr/lib64 on 64bits machine on Fedora.

  This means that /usr/bin/dotconf-config differs between
  on 32 bits machine and on 64 bits machine. Currently Fedora
  does not allow this type of multilib conflicts for -devel
  subpackage.

I am a complete newbie to package building so can you please provide me some 
pointer regarding this issue?
Comment 6 Mamoru TASAKA 2008-02-22 12:35:34 EST
Created attachment 295663 [details]
Patch to resolve multilib issue

* As we don't ship libpool.a, the part related to libpool.a
  can be removed from dotconf-config.in.
* -L%{_libdir} is always unneeded.

The attached patch should resolve multilib issue.
When you modify your spec file, please change the release number
to avoid confusion.
Comment 7 Assim Deodia 2008-02-23 00:04:51 EST
(In reply to comment #6)
> Created an attachment (id=295663) [edit]
> Patch to resolve multilib issue
> 
> * As we don't ship libpool.a, the part related to libpool.a
>   can be removed from dotconf-config.in.
> * -L%{_libdir} is always unneeded.
> 
> The attached patch should resolve multilib issue.
> When you modify your spec file, please change the release number
> to avoid confusion.

SRPM URL:
http://www.nsitonline.in/assim/stuffs/olpc/dotconf/dotconf-1.0.13-4.fc7.src.rpm
SPEC File: http://www.nsitonline.in/assim/stuffs/olpc/dotconf/dotconf.spec

Thanks for the providing the patches. I have uploaded both the patches on the
server (http://www.nsitonline.in/assim/stuffs/olpc/dotconf/) and all the SRPMs
also. Have removed all the rpmlint errors and incremented the version.

I hope to get this resolved soon.. 
Comment 8 Mamoru TASAKA 2008-02-24 09:07:22 EST
For 1.0.13-4:

* Source tarball
  - The tarball in your srpm does not coincide with what
    is written as %Source:
----------------------------------------------------------
-rw------- 1 tasaka1 tasaka1 197993 2006-01-27 23:03 dotconf-1.0.13.tar.gz
-rw-rw-r-- 1 tasaka1 tasaka1 200442 2008-02-23 12:58
dotconf-1.0.13-4.fc7/dotconf-1.0.13.tar.gz
----------------------------------------------------------

* rpmlint
  Please check your rpms by rpmlint again?
----------------------------------------------------------
dotconf.src: W: summary-not-capitalized dot.conf
dotconf.src: E: description-line-too-long dotconf is a configuration file
parser. These libraries are used by many applications to handle configuration files.
dotconf.i386: W: file-not-utf8 /usr/share/doc/dotconf-1.0.13/AUTHORS
dotconf.i386: W: summary-not-capitalized dot.conf
dotconf.i386: E: description-line-too-long dotconf is a configuration file
parser. These libraries are used by many applications to handle configuration files.
dotconf.i386: W: incoherent-version-in-changelog 1.0,13.4 1.0.13-4.fc9
----------------------------------------------------------
  Summary:
  - Summary must begin with capital letter.
    Also, please change the Summary "dot.conf". This Summary description
    is not useful.

  - description-line-too-long:
----------------------------------------------------------
$ rpmlint -I description-line-too-long
description-line-too-long :
Your description lines must not exceed 79 characters. If a line is exceeding
this number, cut it to fit in two lines.
----------------------------------------------------------

   - AUTHORS file is not encoded with UTF-8. Please change the
     encoding to UTF-8.

   - The EVR (epoch-version-release) in %changelog is not right.
----------------------------------------------------------
* Sat Feb 23 2008 Assim Deodia<assim.deodia@gmail.com> 1.0.13-4
- Applied patch macro

* Sat Feb 23 2008 Assim Deodia<assim.deodia@gmail.com> 1.0.13-3
----------------------------------------------------------
     Also please insert one line between each %changelog entry.
     This is useful for Fedora's CVS system.

Then, as this is NEEDSPONSOR ticket:

-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora Extras package review requests which are waiting for someone to
review can be checked on:
https://bugzilla.redhat.com/bugzilla/buglist.cgi?cmdtype=runnamed&namedcmd=mtasaka-review-noone
NOTE: FE-NEW blockers are now not complete.

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 9 Assim Deodia 2008-02-29 03:21:04 EST
(In reply to comment #8)
> For 1.0.13-4:
> 
> * Source tarball
>   - The tarball in your srpm does not coincide with what
>     is written as %Source:
> ----------------------------------------------------------
> -rw------- 1 tasaka1 tasaka1 197993 2006-01-27 23:03 dotconf-1.0.13.tar.gz
> -rw-rw-r-- 1 tasaka1 tasaka1 200442 2008-02-23 12:58
> dotconf-1.0.13-4.fc7/dotconf-1.0.13.tar.gz
> ----------------------------------------------------------

I manually changed the encoding of AUTHORS and doc/dotconf-features.txt. This 
was causing teh problem. I have requested to dotconf developer to make in 
correct in there source file. I have also changed the encoding using iconv. 

> * rpmlint
>   Please check your rpms by rpmlint again?
> ----------------------------------------------------------
> dotconf.src: W: summary-not-capitalized dot.conf
> dotconf.src: E: description-line-too-long dotconf is a configuration file
> parser. These libraries are used by many applications to handle configuration 
files.
> dotconf.i386: W: file-not-utf8 /usr/share/doc/dotconf-1.0.13/AUTHORS
> dotconf.i386: W: summary-not-capitalized dot.conf
> dotconf.i386: E: description-line-too-long dotconf is a configuration file
> parser. These libraries are used by many applications to handle configuration 
files.
> dotconf.i386: W: incoherent-version-in-changelog 1.0,13.4 1.0.13-4.fc9
> ----------------------------------------------------------
>   Summary:
>   - Summary must begin with capital letter.
>     Also, please change the Summary "dot.conf". This Summary description
>     is not useful.
> 
>   - description-line-too-long:
> ----------------------------------------------------------
> $ rpmlint -I description-line-too-long
> description-line-too-long :
> Your description lines must not exceed 79 characters. If a line is exceeding
> this number, cut it to fit in two lines.
> ----------------------------------------------------------
> 
>    - AUTHORS file is not encoded with UTF-8. Please change the
>      encoding to UTF-8.
> 
>    - The EVR (epoch-version-release) in %changelog is not right.
> ----------------------------------------------------------
> * Sat Feb 23 2008 Assim Deodia<assim.deodia@gmail.com> 1.0.13-4
> - Applied patch macro
> 
> * Sat Feb 23 2008 Assim Deodia<assim.deodia@gmail.com> 1.0.13-3
> ----------------------------------------------------------
>      Also please insert one line between each %changelog entry.
>      This is useful for Fedora's CVS system.
> 
> Then, as this is NEEDSPONSOR ticket:

Done All.
 
> -------------------------------------------------------------
> NOTE: Before being sponsored:
> 
> This package will be accepted with another few work. 
> But before I accept this package, someone (I am a candidate) 
> must sponsor you.
> 
> Once you are sponsored, you have the right to review other 
> submitters' review requests and approve the packages formally. 
> For this reason, the person who want to be sponsored (like you) 
> are required to "show that you have an understanding 
> of the process and of the packaging guidelines" as is described
> on :
> http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored
> 
> Usually there are two ways to show this.
> A. submit other review requests with enough quality.
> B. Do a "pre-review" of other person's review request
>    (at the time you are not sponsored, you cannot do
>    a formal review)

Pre-reviewed bug number 435227.
I will review more bugs shortly.

> Fedora Extras package review requests which are waiting for someone to
> review can be checked on:
> https://bugzilla.redhat.com/bugzilla/
buglist.cgi?cmdtype=runnamed&namedcmd=mtasaka-review-noone

This url is not working.

Comment 10 Mamoru TASAKA 2008-02-29 10:29:58 EST
Created attachment 296366 [details]
patch for dotconf.m4 to remove warning

Almost okay, please fix below.

* doc/Makefile* are not needed for %doc
* For now when I call autotools, warnings are printed out like:
--------------------------------------------------------------------
/usr/share/aclocal/dotconf.m4:5: warning: underquoted definition of
AM_PATH_DOTCONF
/usr/share/aclocal/dotconf.m4:5:   run info '(automake)Extending aclocal'
/usr/share/aclocal/dotconf.m4:5:   or see
http://sources.redhat.com/automake/automake.html#Extending-aclocal
---------------------------------------------------------------------
   The attached patch should remove these warnings.
* Please change the permission of the tarball in srpm to 0644.
Comment 11 Mamoru TASAKA 2008-03-08 11:07:51 EST
ping?
Comment 12 Assim Deodia 2008-03-09 06:02:56 EDT
Created attachment 297351 [details]
dotconf-1.0.13-m4-underquote.patch
Comment 13 Assim Deodia 2008-03-09 06:04:57 EDT
(In reply to comment #11)
> ping?

Sorry for the late reply. My school exams are going on so I would resume the 
work on this after the exams. By now i have extended the patch file you have 
made to remove other underquote errors also but i am not able to make correct 
this one
-------------------------------
/usr/share/aclocal/dotconf.m4:5: warning: underquoted definition of 
AM_PATH_DOTCONF
/usr/share/aclocal/dotconf.m4:5:   run info '(automake)Extending aclocal'
/usr/share/aclocal/dotconf.m4:5:   or see http://sources.redhat.com/automake/
automake.html#Extending-aclocal
-------------------------------

I am not able to find solution for this.

I have attached the extented patch file.
Comment 14 Mamoru TASAKA 2008-03-11 12:15:20 EDT
(In reply to comment #13)
> By now i have extended the patch file you have 
> made to remove other underquote errors also but i am not able to make correct 
> this one
> -------------------------------
> /usr/share/aclocal/dotconf.m4:5: warning: underquoted definition of 
> AM_PATH_DOTCONF
> /usr/share/aclocal/dotconf.m4:5:   run info '(automake)Extending aclocal'
> /usr/share/aclocal/dotconf.m4:5:   or see http://sources.redhat.com/automake/
> automake.html#Extending-aclocal
> -------------------------------

 Umm... Actually this _is_ fixed :)
 Well,
 - This package itself is okay
 - Your pre-review seems okay for initial comments

------------------------------------------------------------------------------
       This package (dotconf) is APPROVED by me
------------------------------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
At a point a mail should be sent to sponsor members which notifies
that you need a sponsor. At the stage, please also write on
this bug for confirmation that you requested for sponsorship and
your FAS (Fedora Account System) name. Then I will sponsor you.

If you want to import this package into Fedora 7/8, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.

Comment 15 Assim Deodia 2008-03-13 02:21:28 EDT
(In reply to comment #14)
> (In reply to comment #13)
> > By now i have extended the patch file you have 
> > made to remove other underquote errors also but i am not able to make 
correct 
> > this one
> > -------------------------------
> > /usr/share/aclocal/dotconf.m4:5: warning: underquoted definition of 
> > AM_PATH_DOTCONF
> > /usr/share/aclocal/dotconf.m4:5:   run info '(automake)Extending aclocal'
> > /usr/share/aclocal/dotconf.m4:5:   or see http://sources.redhat.com/
automake/
> > automake.html#Extending-aclocal
> > -------------------------------
> 
>  Umm... Actually this _is_ fixed :)
>  Well,
>  - This package itself is okay
>  - Your pre-review seems okay for initial comments
> 
> ------------------------------------------------------------------------------
>        This package (dotconf) is APPROVED by me
> ------------------------------------------------------------------------------
> 
> Please follow the procedure written on:
> http://fedoraproject.org/wiki/PackageMaintainers/Join
> from "Get a Fedora Account".
> At a point a mail should be sent to sponsor members which notifies
> that you need a sponsor. At the stage, please also write on
> this bug for confirmation that you requested for sponsorship and
> your FAS (Fedora Account System) name. Then I will sponsor you.
> 
> If you want to import this package into Fedora 7/8, you also have
> to look at
> http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
> (after once you rebuilt this package on koji Fedora rebuilding system).
> 
> If you have questions, please ask me.
> 
> 
I think they have changed the procedure from what has given on wiki page. There 
was no option to mail CLA. All I have to do is register there and upload a 
singed CLA. I have created the account with name "assim", signed the CLA and 
got my client-side certificate. Is there anyting more I need to do?
Comment 16 Mamoru TASAKA 2008-03-13 03:31:46 EDT
FAS sysadmins are now actually changing FAS to new one, which
may be related to this.

For now new Account System doesn't seem to be working for sponsoring
process. So please wait until the problem is solved by FAS sysadmins.
Comment 17 Mamoru TASAKA 2008-03-14 02:18:19 EDT
Perhaps now I am sponsoring you.
Please follow "wiki" page again.
Comment 18 Mamoru TASAKA 2008-03-15 00:42:31 EDT
(In reply to comment #17)
> Perhaps now I am sponsoring you.
> Please follow "wiki" page again.

What I meant is that please follow "Join" wiki page again.
http://fedoraproject.org/wiki/PackageMaintainers/Join
Comment 19 Assim Deodia 2008-03-15 08:29:34 EDT
(In reply to comment #18)
> (In reply to comment #17)
> > Perhaps now I am sponsoring you.
> > Please follow "wiki" page again.
> 
> What I meant is that please follow "Join" wiki page again.
> http://fedoraproject.org/wiki/PackageMaintainers/Join

I didnt get you. In my account it is showing that I have been approved by you 
for cvsextra and by Jonathan Stanley for fedora bugs. Do you mean to create 
another account? I tried but couldnt cannot register another account with same 
EmailID. And links on that page 
Comment 20 Assim Deodia 2008-03-15 08:33:30 EDT
Sorry the last post got submitted accidentally. Links on that page are still 
not working. Did you mean to submit package for CVS. I have planned to do that 
once my school exam gets over. 
Comment 21 Assim Deodia 2008-03-23 01:44:19 EDT
(In reply to comment #18)
> (In reply to comment #17)
> > Perhaps now I am sponsoring you.
> > Please follow "wiki" page again.
> 
> What I meant is that please follow "Join" wiki page again.
> http://fedoraproject.org/wiki/PackageMaintainers/Join

Hi,

Sorry for the delay I just got free from my exams. Can you please point me to
the next step to get this package approved? do I need to install Build-System
Client Tools and proceed further from that point? did I missed something till now?
Comment 22 Mamoru TASAKA 2008-03-23 04:36:11 EDT
(In reply to comment #21)
> do I need to install Build-System
> Client Tools and proceed further from that point?

Yes, exactly.
Comment 23 Mamoru TASAKA 2008-03-25 06:17:38 EDT
If you see some trouble about CVS importint procedure, please let me
know it.
Comment 24 Mamoru TASAKA 2008-04-04 03:17:39 EDT
ping?
Comment 25 Assim Deodia 2008-04-04 07:56:03 EDT
New Package CVS Request
=======================
Package Name: Dotconf
Short Description: Dotconf is a library used to handle configuration files.
Owners: assim
Branches: OLPC-2
InitialCC:
Cvsextras Commits: yes
Comment 26 Assim Deodia 2008-04-04 11:01:51 EDT
I am getting this error:

[Assim@localhost .ssh]$ cvs co Dotconf
cvs server: cannot find module `Dotconf' - ignored
cvs [checkout aborted]: cannot expand modules

Tried with 'd' in small caps also. 

[Assim@localhost .ssh]$ cvs co dotconf
cvs server: cannot find module `dotconf' - ignored
cvs [checkout aborted]: cannot expand modules

my keys are same as on the server.

Is it that repository is not created on the server??
Comment 27 Mamoru TASAKA 2008-04-04 11:16:14 EDT
(In reply to comment #26)
> Is it that repository is not created on the server??

Not yet. Please wait until someone changes fedora-cvs flag to plus. 

Comment 28 Kevin Fenzi 2008-04-04 11:31:49 EDT
CVS is processed manually by CVS admins. ;)

Before I process your request: 

- Shouldn't the package name be 'dotconf' and not 'Dotconf' ?

- Shouldn't the description be: 
"A library used to handle configuration files" 
Since it's already the description for dotconf, adding the package name there is
not needed. 
Comment 29 Assim Deodia 2008-04-04 12:33:48 EDT
(In reply to comment #28)

New Package CVS Request
=======================
Package Name: dotconf
Short Description: A library used to handle configuration files.
Owners: assim
Branches: OLPC-2
InitialCC:
Cvsextras Commits: yes

done :)
Comment 30 Kevin Fenzi 2008-04-04 13:02:17 EDT
cvs done.
Comment 31 Assim Deodia 2008-04-05 03:05:29 EDT
Thanks.

Have made the builds(OLPC2 and devel). Closed the ticcket as NEXTRELEASE. 
Is there anything else to be done?
Comment 32 Mamoru TASAKA 2008-04-05 09:38:51 EDT
No, all you should do is done :)
Comment 33 Assim Deodia 2008-05-25 09:19:15 EDT
I received this mail.

dotconf has broken dependencies in the development tree:
On ppc:
       dotconf-1.0.13-6.fc9.ppc64 requires /sbin/ldconfig
On x86_64:
       dotconf-1.0.13-6.fc9.x86_64 requires /sbin/ldconfig
On i386:
       dotconf-1.0.13-6.fc9.i386 requires /sbin/ldconfig
On ppc64:
       dotconf-1.0.13-6.fc9.ppc64 requires /sbin/ldconfig
On ppc:
       dotconf-devel-1.0.13-6.fc9.ppc64 requires /bin/sh
On x86_64:
       dotconf-devel-1.0.13-6.fc9.x86_64 requires /bin/sh
On i386:
       dotconf-devel-1.0.13-6.fc9.i386 requires /bin/sh
On ppc64:
       dotconf-devel-1.0.13-6.fc9.ppc64 requires /bin/sh
Please resolve this as soon as possible.

I havn't build dotconf for these platforms. Do i need to re-build it for all
these platforms also? 
Comment 34 Mamoru TASAKA 2008-05-25 12:59:11 EDT
(In reply to comment #33)
> I received this mail.
> 
> dotconf has broken dependencies in the development tree:
> On ppc:
>        dotconf-1.0.13-6.fc9.ppc64 requires /sbin/ldconfig
> Please resolve this as soon as possible.
> 
> I havn't build dotconf for these platforms. Do i need to re-build it for all
> these platforms also? 

Just ignore those.
https://www.redhat.com/archives/fedora-devel-list/2008-May/msg01257.html

Comment 35 Assim Deodia 2008-06-28 05:34:55 EDT
Package Change Request
======================
Package Name: dotconf
New Branches: OLPC-3 F-8 F-9

This package is required by speech-dispatcher
(https://bugzilla.redhat.com/show_bug.cgi?id=432259) OLPC-3 F-8 and F-9. 
Comment 36 Kevin Fenzi 2008-06-29 00:19:10 EDT
cvs done.
Comment 37 Assim Deodia 2008-06-29 07:59:45 EDT
I am getting this error while performing import of dotconf repository

[Assim@localhost rpmbuild]$ ssh-add --help
Enter passphrase for /home/Assim/.ssh/id_rsa: 
Identity added: /home/Assim/.ssh/id_rsa (/home/Assim/.ssh/id_rsa)
Identity added: /home/Assim/.ssh/id_dsa (/home/Assim/.ssh/id_dsa)
[Assim@localhost rpmbuild]$ fedora-cvs dotconf
Checking out dotconf from fedora cvs:
Error: Permission denied (publickey,keyboard-interactive).
cvs [checkout aborted]: end of file from server (consult above messages if any)

i have used same keys before also and it has worked. I later found that in FAS
account i have uploaded id-dsa key instead of id-rsa. I have replaced it still i
am getting same error.

have i missed something?
Comment 38 Mamoru TASAKA 2008-06-29 08:13:33 EDT
Well, first would you try to re-download fedora-upload-ca.cert available from
http://fedoraproject.org/wiki/PackageMaintainers/Join#Install_the_Client_Tools_.28Koji.29
and re-run fedora-packager-setup ? 
Comment 39 Dennis Gilmore 2008-06-29 11:26:36 EDT
the error message indicates ssh auth failure.  make sure the key you are using
is the same as the key you have uploaded to FAS
Comment 40 Assim Deodia 2008-06-30 01:06:25 EDT
I downloaded fedora-upload-ca.cert and ran fedora-package-setup. Still I am
getting same error. i recently changed the uploaded key. Does system take some
time to get it updated?

I am using the same id_rsa.pub key which i have uploaded in FAS. 

I am able to use koji and have build all the packages on it successfully.
Comment 41 Mamoru TASAKA 2008-06-30 12:34:58 EDT
(In reply to comment #40)
> I am able to use koji and have build all the packages on it successfully.

Well, does it mean that you can rebuild dotconf now? (Would you try F-8 branch?)
Comment 42 Assim Deodia 2008-06-30 14:39:08 EDT
> Well, does it mean that you can rebuild dotconf now? (Would you try F-8 branch?)

Yes

I just now tried 

[Assim@localhost rpmbuild]$ koji build --scratch dist-f8
~/rpmbuild/SRPMS/dotconf-1.0.13-6.fc7.src.rpm
Uploading srpm: /home/Assim/rpmbuild/SRPMS/dotconf-1.0.13-6.fc7.src.rpm
[====================================] 100% 00:03:53  199.38 Kb   873.48 B/sec
Created task: 687799
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=687799
Watching tasks (this may be safely interrupted)...
687799 build (dist-f8, dotconf-1.0.13-6.fc7.src.rpm): open
(x86-2.fedora.phx.redhat.com)
  687802 buildArch (dotconf-1.0.13-6.fc7.src.rpm, i386): open
(x86-4.fedora.phx.redhat.com)
  687800 buildArch (dotconf-1.0.13-6.fc7.src.rpm, ppc): open
(ppc4.fedora.phx.redhat.com)
  687803 buildArch (dotconf-1.0.13-6.fc7.src.rpm, ppc64): open
(ppc1.fedora.phx.redhat.com)
  687801 buildArch (dotconf-1.0.13-6.fc7.src.rpm, x86_64): open
(xenbuilder4.fedora.phx.redhat.com)
  687801 buildArch (dotconf-1.0.13-6.fc7.src.rpm, x86_64): open
(xenbuilder4.fedora.phx.redhat.com) -> closed
  0 free  4 open  1 done  0 failed
  687802 buildArch (dotconf-1.0.13-6.fc7.src.rpm, i386): open
(x86-4.fedora.phx.redhat.com) -> closed
  0 free  3 open  2 done  0 failed
  687803 buildArch (dotconf-1.0.13-6.fc7.src.rpm, ppc64): open
(ppc1.fedora.phx.redhat.com) -> closed
  0 free  2 open  3 done  0 failed
687799 build (dist-f8, dotconf-1.0.13-6.fc7.src.rpm): open
(x86-2.fedora.phx.redhat.com) -> closed
  0 free  1 open  4 done  0 failed
  687800 buildArch (dotconf-1.0.13-6.fc7.src.rpm, ppc): open
(ppc4.fedora.phx.redhat.com) -> closed
  0 free  0 open  5 done  0 failed

687799 build (dist-f8, dotconf-1.0.13-6.fc7.src.rpm) completed successfully


Comment 43 Mamoru TASAKA 2008-07-01 06:05:30 EDT
Okay, then would you try to build F-8 and devel branch (not by scratch)?
Also, for F-9/F-8 branches, please visit
https://admin.fedoraproject.org/updates/ and submit a push request to repositories.
Then you can close this bug as NEXTRELEASE.
Comment 44 Assim Deodia 2008-07-01 08:07:34 EDT
I tried building without scratch and this is the error i got:

[Assim@localhost ~]$ koji build dist-f8
~/rpmbuild/SRPMS/dotconf-1.0.13-6.fc7.src.rpm
Usage: koji build [options] target URL
(Specify the --help global option for a list of other help options)

koji: error: Destination tag dist-f8 is locked

I generated new keys and tried everything again. Still no change..

Seems like there is some problem in my sshd. When i try to run it in debug mode
it fails to run and gives this error : Bind to port 22 on :: failed: Address
already in use.

Is it cause of this?
Comment 45 Mamoru TASAKA 2008-07-01 09:18:44 EDT
No, as you did on F-9 branch, follow
http://fedoraproject.org/wiki/PackageMaintainers/UpdatingPackageHowTo
or from "Import Your Package" of
http://fedoraproject.org/wiki/PackageMaintainers/Join
Comment 46 Assim Deodia 2008-07-02 10:37:56 EDT
While building I got two errors 

1) for devel branch i got this error(I am pasting complete log):

---------------------------------------------------------------------------
Watching tasks (this may be safely interrupted)...
692161 build (dist-f10, devel:dotconf-1_0_13-6_fc10): open
(xenbuilder4.fedora.phx.redhat.com)
  692162 buildSRPMFromSCM (noarch): open (x86-2.fedora.phx.redhat.com)
  692162 buildSRPMFromSCM (noarch): open (x86-2.fedora.phx.redhat.com) -> closed
  0 free  1 open  1 done  0 failed
  692165 buildArch (dotconf-1.0.13-6.fc10.src.rpm, i386): free
  692163 buildArch (dotconf-1.0.13-6.fc10.src.rpm, ppc): free
  692166 buildArch (dotconf-1.0.13-6.fc10.src.rpm, ppc64): free
  692164 buildArch (dotconf-1.0.13-6.fc10.src.rpm, x86_64): open
(x86-2.fedora.phx.redhat.com)
  692165 buildArch (dotconf-1.0.13-6.fc10.src.rpm, i386): free -> open
(x86-6.fedora.phx.redhat.com)
  692163 buildArch (dotconf-1.0.13-6.fc10.src.rpm, ppc): free -> open
(ppc4.fedora.phx.redhat.com)
  692166 buildArch (dotconf-1.0.13-6.fc10.src.rpm, ppc64): free -> open
(ppc3.fedora.redhat.com)
  692164 buildArch (dotconf-1.0.13-6.fc10.src.rpm, x86_64): open
(x86-2.fedora.phx.redhat.com) -> closed
  0 free  4 open  2 done  0 failed
  692165 buildArch (dotconf-1.0.13-6.fc10.src.rpm, i386): open
(x86-6.fedora.phx.redhat.com) -> closed
  0 free  3 open  3 done  0 failed
  692163 buildArch (dotconf-1.0.13-6.fc10.src.rpm, ppc): open
(ppc4.fedora.phx.redhat.com) -> closed
  0 free  2 open  4 done  0 failed
  692166 buildArch (dotconf-1.0.13-6.fc10.src.rpm, ppc64): open
(ppc3.fedora.redhat.com) -> FAILED: BuildrootError: error building package (arch
ppc64), mock exited with status 1
  0 free  1 open  4 done  1 failed
692161 build (dist-f10, devel:dotconf-1_0_13-6_fc10): open
(xenbuilder4.fedora.phx.redhat.com) -> FAILED: BuildrootError: error building
package (arch ppc64), mock exited with status 1
  0 free  0 open  4 done  2 failed

692161 build (dist-f10, devel:dotconf-1_0_13-6_fc10) failed
make: *** [koji] Error 1

---------------------------------------------------------------------------

I am not able to find any thing related to this error. 

2) While building for F-8 it gave me error that this has already been build.

F-8 and OLPC-3 has been build successfully. 

I forgot to paste the changelog in some of the branches. Is it possible to
rectify it?

Do I need to update this package to Bodhi also?
Comment 47 Assim Deodia 2008-07-02 11:30:16 EDT
Thanks.

I hope speech-dispatcher can be build safely on these branches
Comment 48 Mamoru TASAKA 2008-07-02 11:49:46 EDT
(In reply to comment #46)
> While building I got two errors 
> 
> 1) for devel branch i got this error(I am pasting complete log):
> I am not able to find any thing related to this error. 
  As you saw it, I've fixed this error. If you are using <F-9 machine, when you
  try "$ rpm --eval %configure", you can see that %configure tries to override
  config.{guess,sub} by /usr/lib/rpm/config.*. On F-10, this behavior changed
  and when a package contains old config.{guess,sub} the build may fails (and
  on most cases it happens on ppc64).

> 2) While building for F-8 it gave me error that this has already been build.
  Perhaps you meant for F-9.

> I forgot to paste the changelog in some of the branches. Is it possible to
> rectify it?
  Please fix it in next update.

> Do I need to update this package to Bodhi also?
  For F-8, you have to submit a request to push to stable on bodhi.


(In reply to comment #47)
> Thanks.
  You are welcome :)

> I hope speech-dispatcher can be build safely on these branches
  For F-8, speech-dispatcher cannot be built unless dotconf is pushed to stable
repository.
  If Hemant want to build speech-dispatcher on F-8 in a hurry, please ask
rel-eng team
  (rel-eng_AT_fedoraproject.org) to tag dotconf-1.0.13-6.fc8 as dist-f8-override.


Comment 49 Mamoru TASAKA 2008-07-07 02:48:55 EDT
Would you submit a updates request for F-9 on
https://admin.fedoraproject.org/updates/ so that speech-dispatcher can be rebuilt
on F-9?
Comment 50 Fedora Update System 2008-07-09 11:58:15 EDT
dotconf-1.0.13-6.fc8 has been submitted as an update for Fedora 8
Comment 51 Assim Deodia 2008-07-09 12:08:39 EDT
I am sorry for the delay. I am having some problem accessing the Internet. 

> Would you submit a updates request for F-9 on
> https://admin.fedoraproject.org/updates/ so that speech-dispatcher can be rebuilt
> on F-9?

You mean F-8? I have done it requested it.
dotconf is already tagged for F-9
Comment 52 Mamoru TASAKA 2008-07-09 12:52:17 EDT
Yes, I meant F-8, sorry.
Comment 53 Fedora Update System 2008-07-09 17:48:03 EDT
dotconf-1.0.13-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.